0

I have Minecraft Forge 1.8, and I was wondering if 1.8.1 mods will work with Forge 1.8.

Thanks!

  • 2
    Where did you find a mod for 1.8.1? – SevenSidedDie Mar 22 '15 at 23:13
  • Umm, I found it on the internet ... ? – Robert L Mar 23 '15 at 3:40
  • The mod is Cars and Drives for 1.8.1, but I have Forge 1.8. – Robert L Mar 23 '15 at 3:40
  • 1
    The internet is rather large. :) A link to where you found it would be helpful. Lots of sites steal mods, upload them on their own site, and then lie about what version of the game they work with, just so they can get more advertising money by tricking people into clicking. The official Cars and Drives page says that the most recent version Cars and Drives works with is 1.7.10, which makes me believe you've been tricked by one of those lying sleazeball sites. – SevenSidedDie Mar 23 '15 at 3:45
  • 2
    Forge is like a translation layer between Minecraft and mods, which makes the mods (easily) possible. But because of how Minecraft is coded, Forge has to be rebuilt for each version and that's slow. As a result, there is no Forge for 1.8.1 or later yet (there will be eventually), so there are no (Forge-based) mods for 1.8.1 yet. – SevenSidedDie Mar 23 '15 at 8:16
0

Most mods should work because there were no massive changes to the Forge API between 1.8-1.8.1.

We have released a new version of Minecraft, 1.8.1, which brings a bunch of new optimizations and bug fixes. It’s 100% compatible with 1.8, and comes with extra hugs.

Mods would only break if they use a system with one of those fixes

However

  • Always back up your worlds
  • When in doubt, ask the dev.
0

No. They are different versions, and, as a result, you will not be able to. This is because when you use Forge 1.8, you are in fact using a modded version of 1.8. As a result, a 1.8.1 is incompatible, because it is designed to run with a different version of MineCraft.

  • It does not have to be incompatible. Problems can occur if the mod (v1.8.1) needs files/code that is not included in minecraft 1.8. The only solution is to try it out. Mostly it is actually working if it is a small update... Worlds should be saved on a other place before trying anything! – Gerret Apr 1 '15 at 22:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.